package com.alibaba.druid.sql.ast.statement;

import com.alibaba.druid.sql.ast.SQLObjectImpl;
import com.alibaba.druid.sql.ast.expr.SQLIntegerExpr;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class SQLAlterTableSubpartitionAvailablePartitionNum extends SQLObjectImpl implements SQLAlterTableItem {
   private SQLIntegerExpr number;

   public SQLIntegerExpr getNumber() {
      return this.number;
   }

   public void setNumber(SQLIntegerExpr x) {
      if (x != null) {
         x.setParent(this);
      }

      this.number = x;
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.number);
      }

      visitor.endVisit(this);
   }
}
